<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>BootLoader upload page</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <style>
        body {
            background: url("http://cdn.persiangig.com/preview/U5VyhdyTIA/cream_pixels.png") repeat;
        }
    </style>

</head>
<body>
<div class="card mb-3 mx-auto" style="width: 35rem; margin-top: 5%;">
    <div class="card-body">
        <h4 class="card-title">BootLoader package details</h4>
        {% if uploaded_file_url %}
            <br>
            <div class="alert alert-success">
                <strong>Success!</strong>
                <br>
                BootLoader uploaded successfully!
                <br>
                <p>File uploaded at: <br><a href="{{ uploaded_file_url }}"
                                            class="alert-link">{{ uploaded_file_url }}</a></p>
            </div>
        {% endif %}
        {% if newer_boot_loader_exist %}
            <br>
            <div class="alert alert-danger">
                <strong>ERROR!</strong>
                <br>
                <p>Something went wrong...</p>
                <br>
                <p>Ouch: Newer BootLoader exists!</p>
            </div>
        {% endif %}
        <form method="post" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                <label for="version_no">version_no</label>
                <input type="text" class="form-control" id="version_no" name="version_no"
                       placeholder="Enter version_no">
                <small id="version_noHelp" class="form-text text-muted">e.g. 1.0.10</small>
            </div>
            <div class="form-group">
                <label for="version_code">version_code</label>
                <input type="text" class="form-control" id="version_code" name="version_code"
                       placeholder="Enter version_code">
                <small id="version_codeHelp" class="form-text text-muted">e.g. 110</small>
            </div>
            <div class="form-group">
                <label for="change_log">change_log</label>
                <textarea class="form-control" id="change_log" rows="3" name="change_log"></textarea>
            </div>
            <div class="form-group">
                <label for="boot_loader_file">BootLoader file</label>
                <input type="file" class="form-control-file" id="boot_loader_file" name="boot_loader_file">
            </div>
            <br>
            <button type="submit" class="btn btn-primary btn-block">Submit</button>
        </form>

    </div>
</div>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>

</body>
</html>